## pypar2 0.10

=== Makefile ===
INSTALL ?= install
MAKE ?= make
RM ?= rm
RMDIR ?= rmdir
prefix ?= /usr/local


PREFIX = $(DESTDIR)$(prefix)

BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1
DATADIR = $(PREFIX)/share/pypar2
SRCDIR = $(DATADIR)/src
PIXDIR = $(DATADIR)/pix
RESDIR = $(DATADIR)/res

APPDIR = $(PREFIX)/share/applications
ICONDIR = $(PREFIX)/share/pixmaps
LOCALEDIR = $(PREFIX)/share/locale

LANGUAGES = `find locale/ -maxdepth 1 -mindepth 1 -type d -printf "%f "`

help:
	@echo Usage:
	@echo "make		- not used"
	@echo "make clean	- removes temporary data"
	@echo "make install	- installs data"
	@echo "make uninstall	- uninstalls data"
	@echo "make help	- prints this help"
	@echo


install:
	echo $(PREFIX)
	$(INSTALL) -m 755 -d $(BINDIR) $(MANDIR) $(DATADIR) $(SRCDIR) $(PIXDIR) $(RESDIR) $(APPDIR)
	$(INSTALL) -m 644 src/*.py $(SRCDIR)
	$(INSTALL) -m 644 res/*.glade $(RESDIR)
	$(INSTALL) -m 644 doc/pypar2.1 $(MANDIR)
#	$(INSTALL) -m 644 pix/*.png $(PIXDIR)
#	$(INSTALL) -m 644 pix/pypar2.xpm $(ICONDIR)
	$(INSTALL) -m 644 res/pypar2.desktop $(APPDIR)
	if test -L $(BINDIR)/pypar2; then ${RM} $(BINDIR)/pypar2; fi
	ln -s $(SRCDIR)/main.py $(BINDIR)/pypar2
	chmod +x $(SRCDIR)/main.py
#	$(MAKE) -C po dist
	for lang in $(LANGUAGES); do \
		${INSTALL} -m 755 -d $(LOCALEDIR)/$$lang/LC_MESSAGES;\
		$(INSTALL) -m 644 locale/$$lang/LC_MESSAGES/pypar2.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
	done


uninstall:
	${RM} $(PREFIX)/bin/pypar2
	${RM} $(APPDIR)/pypar2.desktop
	${RM} $(MANDIR)/pypar2.1
#	${RM} $(ICONDIR)/pypar2.xpm
	${RM} -rf $(DATADIR)
	$(RMDIR) --ignore-fail-on-non-empty $(BINDIR) $(MANDIR) $(APPDIR)
	for lang in $(LANGUAGES); do \
		${RM} $(LOCALEDIR)/$$lang/LC_MESSAGES/pypar2.mo; \
	done

clean:
	${RM} src/*.py[co] res/*~ res/*.bak

.PHONY: help clean install

## pypar2 1.4

=== Makefile ===
--- 
+++ 
@@ -32,12 +32,12 @@
 
 install:
 	echo $(PREFIX)
-	$(INSTALL) -m 755 -d $(BINDIR) $(MANDIR) $(DATADIR) $(SRCDIR) $(PIXDIR) $(RESDIR) $(APPDIR)
+	$(INSTALL) -m 755 -d $(BINDIR) $(MANDIR) $(DATADIR) $(SRCDIR) $(PIXDIR) $(RESDIR) $(APPDIR) $(ICONDIR)
 	$(INSTALL) -m 644 src/*.py $(SRCDIR)
 	$(INSTALL) -m 644 res/*.glade $(RESDIR)
 	$(INSTALL) -m 644 doc/pypar2.1 $(MANDIR)
-#	$(INSTALL) -m 644 pix/*.png $(PIXDIR)
-#	$(INSTALL) -m 644 pix/pypar2.xpm $(ICONDIR)
+	$(INSTALL) -m 644 pix/*.png $(PIXDIR)
+	$(INSTALL) -m 644 pix/pypar2.png $(ICONDIR)
 	$(INSTALL) -m 644 res/pypar2.desktop $(APPDIR)
 	if test -L $(BINDIR)/pypar2; then ${RM} $(BINDIR)/pypar2; fi
 	ln -s $(SRCDIR)/main.py $(BINDIR)/pypar2
@@ -53,9 +53,9 @@
 	${RM} $(PREFIX)/bin/pypar2
 	${RM} $(APPDIR)/pypar2.desktop
 	${RM} $(MANDIR)/pypar2.1
-#	${RM} $(ICONDIR)/pypar2.xpm
+	${RM} $(ICONDIR)/pypar2.png
 	${RM} -rf $(DATADIR)
-	$(RMDIR) --ignore-fail-on-non-empty $(BINDIR) $(MANDIR) $(APPDIR)
+	$(RMDIR) --ignore-fail-on-non-empty $(BINDIR) $(MANDIR) $(APPDIR) $(ICONDIR)
 	for lang in $(LANGUAGES); do \
 		${RM} $(LOCALEDIR)/$$lang/LC_MESSAGES/pypar2.mo; \
 	done

=== po/Makefile ===
INSTALL ?= install

PYFILES = $(wildcard ../src/*.py)
GLADEFILES = $(wildcard ../res/*.glade)
POFILES = $(wildcard *.po)

GLADEHFILES := $(GLADEFILES:.glade=.glade.h)

help:
	@echo "USAGE:"
	@echo "make update - updates messages.pot and .po files"
	@echo "make dist   - creates .mo files in ../locale dir"
	@echo "make pl.po  - updates pl.po file OR creates new one"
	@echo "              (replace 'pl' with your language code)"

%.h: %
	intltool-extract --type="gettext/glade" $*

messages.pot: $(GLADEHFILES)
	xgettext -k_ -kN_ -o messages.pot $(PYFILES) $(GLADEHFILES) --from-code=utf-8

%.po: messages.pot
	@if test -f $@; then \
		echo -n "Updating '$*' language ";\
		msgmerge -U $@ messages.pot;\
	else \
		msginit -l $*.UTF8 -o $@; \
	fi

%.mo:
	for pofile in $(patsubst ../locale/%/LC_MESSAGES/pypar2.mo,%.po,$@); do \
		${INSTALL} -m 755 -d $(subst pypar2.mo,,$@);\
		msgconv -t UTF-8 $${pofile} -o $${pofile}_utf8;\
		msgfmt $${pofile}_utf8 -o $@;\
		rm $${pofile}_utf8;\
	done

update: $(POFILES)
dist: $(POFILES:%.po=../locale/%/LC_MESSAGES/pypar2.mo)

clean:
	$(RM) $(GLADEHFILES)
	#$(RM) $(POFILES:%.po=../locale/%/LC_MESSAGES/pypar2.mo)
	#$(RM) messages.pot

.PHONY:  update

=== debian/changelog ===
pypar2 (1.4-7) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Use dh_python2 instead of dh_pysupport to handle .py files
  * Change source format to 3.0 (quilt)
  * Standards-Version updated to 3.9.5
    - build-arch and build-indep targets added to debian/rules

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 28 May 2014 22:12:55 +0200

pypar2 (1.4-6) unstable; urgency=low

  * Team upload.
  * typeorder.patch: Use list of tuples instead of depending on the iteration
    order of a dict. (Closes: #617966, LP: #719708)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Mar 2011 21:55:07 +0200

pypar2 (1.4-5) unstable; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Ryan Kavanagh ]
  * Added a README.source

  [ Piotr Ożarowski ]
  * Convert from python-central to python-support
  * Standards-Version bumped to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 17 Nov 2009 20:36:26 +0100

pypar2 (1.4-4) unstable; urgency=low

  * Add no_pyxml.patch - PrettyPrint() is available in PyXml only,
    LP: #203899
    + quilt added to Depends

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 24 Mar 2008 23:31:44 +0100

pypar2 (1.4-3) unstable; urgency=low

  * Drop python-xml dependency as it is going to be removed from Debian
    (it is part of the standard Python library since 2.4, closes: #468608)
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * Update Standards-Version to 3.7.3.

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 29 Feb 2008 19:43:48 +0100

pypar2 (1.4-2) unstable; urgency=low

  * Add Python Applications Team to the Uploaders
  * debian/menu: section changed to "Applications/File Management"
  * Add XS-Vcs-Svn and XS-Vcs-Browser fields

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 25 Aug 2007 20:20:02 +0200

pypar2 (1.4-1) unstable; urgency=low

  * New upstream release
  * Changed my address to piotr@debian.org

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 18 Apr 2007 22:49:14 +0200

pypar2 (1.3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Wed, 28 Feb 2007 01:21:43 +0100

pypar2 (1.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu,  8 Feb 2007 21:14:10 +0100

pypar2 (1.1-1) unstable; urgency=low

  * New upstream release
  * Pixmaps dir patch removed (applied upstream)
  * debian/watch file updated

 -- Piotr Ozarowski <ozarow@gmail.com>  Tue, 30 Jan 2007 19:14:22 +0100

pypar2 (1.0-1) unstable; urgency=low

  * New upstream release
  * Versioned dependency on par2 added
  * Patch that creates pixmaps dir during install

 -- Piotr Ozarowski <ozarow@gmail.com>  Sun, 21 Jan 2007 00:12:59 +0100

pypar2 (0.10-1) unstable; urgency=low

  * New upstream release
  * Bumped debhelper and python-central required versions due to removal of
    deprecated dh_python call in debian/rules, pycompat file removed
  * Updated copyright file (wrong program name)

 -- Piotr Ozarowski <ozarow@gmail.com>  Tue,  7 Nov 2006 19:03:28 +0100

pypar2 (0.09-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Sun, 13 Aug 2006 15:12:53 +0200

pypar2 (0.08-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Fri, 28 Jul 2006 10:43:56 +0200

pypar2 (0.07-1) unstable; urgency=low

  * New upstream release
  * Added python-xml to dependencies (closes: #379438)
  * Changed priority to extra (because of par2)

 -- Piotr Ozarowski <ozarow@gmail.com>  Mon, 24 Jul 2006 17:58:36 +0200

pypar2 (0.06-1) unstable; urgency=low

  * Initial release (closes: #378859)

 -- Piotr Ozarowski <ozarow@gmail.com>  Wed, 19 Jul 2006 17:39:29 +0200

=== debian/control ===
Source: pypar2
Section: gnome
Priority: extra
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Python Applications Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5), dh-python, python
Standards-Version: 3.9.5
Homepage: http://pypar2.silent-blade.org/
XS-Python-Version: >=2.4
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pypar2/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pypar2/trunk/

Package: pypar2
Architecture: all
Depends: par2 (>= 0.4-6), ${python:Depends}, python-gtk2 (>= 2.8.6-1), python-glade2 (>= 2.8.6-1), python-vte (>= 0.12.2-1), ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: graphical frontend for the par2 utility
 Par2 files create redundant data that can be used later in case parts
 of the original data is lost or corrupted.
 .
 PyPar2 is a graphical frontend for the par2 command line utility, it is
 designed to be very easy to use. For this reason:
  * Advanced settings are present, but hidden by default.
  * There is no preferences dialog, all selected options are automatically
    saved and restored.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
build-indep:
build-arch:

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean build-stamp

install:
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/pypar2 prefix=/usr install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i doc/whatsnew.txt
	dh_installdocs -i
	dh_installmenu -i
	dh_link usr/share/pypar2/src/main.py /usr/bin/pypar2
	dh_compress -i
	dh_fixperms -i
	chmod +x debian/pypar2/usr/share/pypar2/src/main.py
	dh_python2 -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install

binary: binary-indep binary-arch

.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://pypar2.silent-blade.org/index.php?n=Main.DownloadPage http://pypar2.silent-blade.org/uploads/Main/pypar2-(.*).tar.gz debian uupdate
